Bug 4756 - [UPDATE REQUEST] mokutil-0.3.0-2
: [UPDATE REQUEST] mokutil-0.3.0-2
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-01 19:39 MSK by Konstantin Vlasov
Modified: 2014-12-22 14:34 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
konstantin.vlasov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-12-01 19:39:33 MSK
mokutil updated from upstream.
Comment 1 Konstantin Vlasov 2014-12-01 19:46:18 MSK
https://abf.rosalinux.ru/build_lists/2346803
https://abf.rosalinux.ru/build_lists/2346804

Advisory: Ported latest updates from upstream:
1. Fixed potential buffer overflow.
2. Fixed 32-bit build.

P.S. 32-bit version can only be tested on systems with 32-bit UEFI+SecureBoot, which are hard to find (if exist at all). It might be possible to emulate it using OVMF, but I did not investigate this way yet. Therefore, I suppose, for now it would be enough just to test that the package has not negative effects on the system.
Comment 2 Alexander Petryakov 2014-12-05 01:06:18 MSK
ROSA.FRESH.KDE.R4.i586.iso - don't have efi dir
Comment 3 Konstantin Vlasov 2014-12-05 01:34:38 MSK
No, it doesn't. It is possible emulate 32-bit UEFI (but not SecureBoot) in VirtualBox, install ROSA i586 in UEFI mode (a lot of manual work will be required), and then test mokutil there - but then it will only tell that SecureBoot is missing. That's why I wrote that only effect on other packages should be tested, not functionality of mokutil itself.
Comment 4 Alexander Petryakov 2014-12-16 03:55:26 MSK
I got error in VM (virtualbox)
[root@FR4-amd64-efi sasha]# /usr/bin/mokutil -l
/usr/bin/mokutil: symbol lookup error: /usr/bin/mokutil: undefined symbol: efi_guid_security
Comment 5 Konstantin Vlasov 2014-12-16 13:27:46 MSK
Please, post here the output of:
ldd /usr/bin/mokutil

Do you have lib64efivar0 installed? What version?
Comment 6 Konstantin Vlasov 2014-12-16 16:57:06 MSK
Updated libefivar requirement to version 0.12 or higher.

https://abf.rosalinux.ru/build_lists/2376381
https://abf.rosalinux.ru/build_lists/2376382

Advisory: Ported latest updates from upstream:
1. Fixed potential buffer overflow.
2. Fixed 32-bit build.
Comment 7 Alexander Petryakov 2014-12-22 13:57:25 MSK
mokutil-0.3.0-3
https://abf.rosalinux.ru/build_lists/2376381
https://abf.rosalinux.ru/build_lists/2376382
************** Advisory **************
Ported latest updates from upstream:
1. Fixed potential buffer overflow.
2. Fixed 32-bit build.
**************************************
QA Verified